<table class="table table-striped table-hover report-table table-bordered">
    <thead>
        <th>
            {{ trans('cruds.report.date') }}
        </th>
        {{-- For Deposit --}}
        @if ($sub_category != null)
            @foreach ($sub_category as $sub_cat)
                <th>
                    {{$sub_cat->title}}
                </th>
            @endforeach
            <th>
                {{ trans('cruds.report.balance') }}
            </th>
        @endif
        <th>
            {{ __('FNB Cheque Deposit') }}
        </th>
        <th>
            {{ __('Non Cheque Deposit') }}
        </th>
        <th>
            {{__('Balance')}}
        </th>
        {{-- For EFT --}}
        @if ($eft_sub_category != null)
            @foreach ($eft_sub_category as $eft)
                <th>
                    {{$eft->title}}
                </th>
            @endforeach
            <th>
                {{ trans('cruds.report.balance') }}
            </th>
        @endif
        {{-- Speed Point --}}
        @foreach ($machine as $key => $m)
            <th>
                {{Str::upper($m)}} {{__('Settle')}}
            </th>
        @endforeach
        <th>
            {{__('RANDS')}}
        </th>
    </thead>
    <tbody>
        @if (count($deposit_date) == 0)
            <tr></tr>
        @endif
        @foreach ($deposit_date as $key => $dd)
            @php
                $dd = date('Y-d-m',strtotime($dd));
                $total = 0;
                $bank_amount = 0;
                $eft_bank = 0;
                $eft_total = 0;
                $fnb_bank = 0;
                $non_fnb_bank = 0;
                $speed_point_all = 0;
                $total_rand = 0;
            @endphp
            <tr>
                <td>{{date('d/m/Y',strtotime($dd))}}</td>
                {{-- For Deposit --}}
                @foreach ($sub_category as $sub_cat)
                    <td>
                        @php
                            $deposit_data = $deposit_fs->where('date',$dd)->where('sub_category_id',$sub_cat->id)->first();
                            if (!empty($deposit_data)) {
                                $total += $deposit_data->amount;
                                if ($deposit_data->bank_statement != null) {
                                    $bank_amount += $deposit_data->bank_statement->amount;
                                }
                            }
                        @endphp
                        {{$deposit_data->amount ?? ''}}
                        @if ($deposit_data != null)
                            @if ($deposit_data->bank_statement != null)
                            <br><span class="badge bg-inverse-danger">Credit : {{$deposit_data->bank_statement->amount}}</span>
                            @endif
                        @endif
                    </td>
                @endforeach
                {{-- Deposit Balance --}}
                <td>{{number_format($bank_amount - $total,2)}}</td>
                {{-- Cheque --}}
                <td>
                    @php
                        $cheque1_total = 0;
                    @endphp
                    @foreach ($cheque_sub_category as $fnb_cheque)
                        @php
                            $data = $deposit_fs->where('date',$dd)->where('sub_category_id',$fnb_cheque->id);
                            $cheque1_total += $data->sum('amount');
                            $fnb_bank += $data->sum('bank_statement.amount');
                        @endphp
                    @endforeach
                    {{number_format($cheque1_total,2)}}
                    @if ($fnb_bank != 0)
                        <br><span class="badge bg-inverse-danger">Credit : {{number_format($fnb_bank,2)}}</span>
                    @endif
                </td>
                <td>
                    @php
                        $cheque2_total = 0;
                    @endphp
                    @foreach ($non_cheque_sub_category as $non_fnb_cheque)
                        @php
                            $cheque2_data = $deposit_fs->where('date',$dd)->where('sub_category_id',$non_fnb_cheque->id);
                            $cheque2_total += $cheque2_data->sum('amount');
                            $non_fnb_bank += $cheque2_data->sum('bank_statement.amount');
                        @endphp
                    @endforeach
                    {{number_format($cheque2_total,2)}}
                    @if ($non_fnb_bank != 0)
                        <br><span class="badge bg-inverse-danger">Credit : {{number_format($non_fnb_bank,2)}}</span>
                    @endif
                </td>
                <td>
                    {{number_format($cheque1_total + $cheque2_total,2)}}
                </td>
                {{-- For EFT --}}
                @if ($eft_sub_category != null)
                    @foreach ($eft_sub_category as $eft)
                        <td>
                            @php
                                $eft_data = $deposit_fs->where('date',$dd)->where('sub_category_id',$eft->id)->first();
                                if (!empty($eft_data)) {
                                    $eft_total += $eft_data->amount;
                                    if ($eft_data->bank_statement != null) {
                                        $eft_bank += $eft_data->bank_statement->amount;
                                    }
                                }
                            @endphp
                             {{$eft_data->amount ?? ''}}
                             @if ($eft_data != null)
                                 @if ($eft_data->bank_statement != null)
                                 <br><span class="badge bg-inverse-danger">Credit : {{$eft_data->bank_statement->amount}}</span>
                                 @endif
                             @endif
                        </td>
                    @endforeach
                    {{-- EFT Balance --}}
                    <td>{{number_format($eft_bank - $eft_total,2)}}</td>
                @endif
                {{-- Speed Point --}}
                @foreach ($machine as $id => $m)
                    <td>
                        @php
                            $speed_point_total = $speed_point->where('date',$dd)->where('type',$m)->sum('amount');
                            $speed_point_all += $speed_point_total;
                        @endphp
                        @if ($speed_point_total != 0)
                        {{number_format($speed_point_total,2)}}
                        @endif
                    </td>
                @endforeach
                <td>
                    @if ($rand_sub_category != null)
                        @foreach ($rand_sub_category as $rand)
                            @php
                                $rand_data = $deposit_fs->where('date',$dd)->where('sub_category_id',$rand->id)->first();
                                if (!empty($rand_data)) {
                                    $total_rand += $rand_data->amount;
                                }
                            @endphp
                        @endforeach
                        @if ($total_rand != 0)
                            {{number_format($total_rand,2)}}
                        @endif
                    @endif
                </td>
            </tr>
        @endforeach
    </tbody>
</table>
